Cemu - Bug #386

Game sessions which recompile data already in shaderCache\driver\nvidia folder exhibit worse
stutter (Regression)

07/20/2020 01:43 PM - thewokepope

Status: Resolved Start date: 07/20/2020
Priority: Normal

Assignee:

Category: Graphic

API: OpenGL GPU Vendor/Model:  NVIDIA GTX 970
Cemu Version: 1.20.0

Description

A game session will have worse stutter when shaders are recompiled then when they are initially compiled. I've not referring to
shaders being created and placed into "transferable". I'm referring to when you already have a full cache in "transferable" and they
are compiled into shaderCache\driver\nvidia. So CEMU will behave like this:

Session 1 (transferable folder full, shaderCache\driver\nvidia empty)
Long "compiling cached shaders" screen. No extra stutter in game.

Session 2
Shaders will be read from shaderCache\driver\nvidia and compile quicker, though not as quickly as in 1.19.3. Extra stutter will be
present in game when new game elements are loaded in (such as Link unsheathing his sword in Wind Waker)

Link to video (read description): https://www.youtube.com/watch?v=htDoPfrBEhw

As the video shows this behaviour is not exhibited in 1.19.3

History

#1 - 07/23/2020 12:37 PM - thewokepope

Mario Kart 8: regardless of status of shadercache\driver there is significantly more stutter on 1.20.0 than 1.19.3 when comparing runs on the same
track. Again, this is not shader compilation (already have complete shader cache) but the stutter happens at similar points, when new elements are
loaded in for the first time in a session.

| also tried Vulkan for the first time and it seems to completely eliminate these stutters.

#2 - 08/02/2020 12:56 PM - thewokepope

This bug can probably be closed. 1.20.1c restores the performance | saw in 1.19.3.

#3 - 04/11/2021 11:38 PM - Serfrost

- Status changed from New to Resolved

Files
log (session 2).ixt 2.63 KB 07/20/2020 thewokepope
log (session 1).ixt 2.63 KB 07/20/2020 thewokepope
